curl -X POST "https://api.usegately.com/api/v1/discussions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests"
}'
{
"success": true,
"discussion": {
"id": "disc_456",
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests",
"likes": 0,
"created_at": "2024-01-15T10:30:00Z"
}
}
Discussions
Create Discussion
Create a new discussion
POST
/
api
/
v1
/
discussions
curl -X POST "https://api.usegately.com/api/v1/discussions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests"
}'
{
"success": true,
"discussion": {
"id": "disc_456",
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests",
"likes": 0,
"created_at": "2024-01-15T10:30:00Z"
}
}
Create a new discussion post in your community.
Request Body
string
required
Title of the discussion
string
required
Content/body of the discussion
string
required
ID of the user creating the discussion
string
Category for the discussion
Response
boolean
Whether the discussion was created
object
The created discussion object
curl -X POST "https://api.usegately.com/api/v1/discussions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests"
}'
{
"success": true,
"discussion": {
"id": "disc_456",
"title": "Feature Request: Dark Mode",
"content": "Would love to see a dark mode option...",
"author_id": "user_123",
"category": "feature-requests",
"likes": 0,
"created_at": "2024-01-15T10:30:00Z"
}
}
Was this page helpful?